Page MenuHomePhabricator

[GTWL] Epic: Possibility to display article authors in article itself
Closed, DeclinedPublic

Description

As a Wikipedia reader I want to be shown as an option a list of article authors directly in the article itself.

See
https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche/Top_20#Einblendung_der_Autoren_direkt_am_Artikeltext (in German).

Further details:
The determination of the authorship of individual words (in wikitext or in the resulting html) would be very costly from technical point of view and can be implemented only with a long-time commitment from the WMF
In the long-run it would be theoretically possible to display the authorship directly while editing via VisualEditor
Native "Blame-Tools" could be integrated in a better way with a relatively small effort. However there is a danger that with a bigger visibility the negative impact of the misleading results would be to severe.

Effort:

Needs to be further discussed with: within the German Community itself (needs to be further specified e.g. visible for all or only logged-in, distinction between major/not major authors, how bad would be a false attribution etc.)

This is part of the Top 20 wishes of the German community

Event Timeline

KasiaWMDE raised the priority of this task from to Low.
KasiaWMDE updated the task description. (Show Details)
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 2 2015, 12:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
KasiaWMDE updated the task description. (Show Details)Jun 4 2015, 2:49 PM
KasiaWMDE set Security to None.
KasiaWMDE updated the task description. (Show Details)Jun 4 2015, 2:55 PM
KasiaWMDE renamed this task from Possibility to display article authors in article itself to [GTWL] Epic: Possibility to display article authors in article itself.Jun 18 2015, 4:27 PM
Restricted Application added a subscriber: Sadads. · View Herald TranscriptAug 30 2015, 3:45 PM

We had such a tool on EnWP for a bit per https://en.wikipedia.org/w/index.php?title=Wikipedia_talk:WikiProject_Medicine&oldid=678711458#Contributors

But now the tool is broken. I would like to see it working aswell but ran out of energy for its development

Lea_WMDE closed this task as Declined.Mar 9 2018, 10:53 AM
Lea_WMDE added subscribers: Wurgl, Lea_WMDE.

In 2015, this wish was considered too big for development, also needing more community discussion. Therefore I will close this ticket.
However, in 2017 there were two related requests:
Having an ability to see the main author of a page, based on their contribution to the current text's version

  • At the time of the request, the tool WikiHistory (de) did not work. During the discussion of the request, @Wurgl and a friend fixed it.
  • Furthermore, XTools had not yet been reworked. It now contains the tool articleinfo that not only shows main authorship based on bytes, but also based on their contribution to the current article's version.

Therefore, we consider this request fulfilled.

Making it visible who are the authors of an article

  • The issue of "making visible that wikipedia has been written by volunteers" was discussed during wikimania 2017 (etherpad, session slides), but there has not yet been any follow up work. Once we know what actions will be taken because of the request, there will be a new ticket for that.